import 'dart:async';
import 'dart:convert';

import 'package:hqsoft_core/core_base/core_base.dart';
import 'package:hqsoft_core/data_base/data_base.dart';
import 'package:http/http.dart' as http;

class LogApiClient extends Service {
  Future<bool> insertLog(Log log) async {
    String url = API_LOG_URL.INSERT_PPC_LOG_URL;

    Map<String, String> createRequestHeader =
        await createHeaderAuthorization();

    final response = await http
        .post(Uri.parse(url), headers: createRequestHeader, body: jsonEncode(log))
        .timeout(Duration(seconds: serviceTimeOut));

    if (response.statusCode != 200) {
      return false;
    } else {
      return true;
    }
  }
}
